1

This question already has an answer here:

Hello friends,

I am new to Magento and I'm trying to install Magento-2.1.5 on Ubuntu-16.04. While installing I'm getting an error in php extention check, error is :

PHP Extensions Check 3 missing PHP extensions. Hide detail

The best way to resolve this is to install the correct missing extensions. The exact fix depends on our server, your host, and other system variables. Our PHP extension help can get you started.

PHP extension error img

For this error I'm added :

extension=php_bz2.dll

extension=php_curl.dll

extension=php_intl.dll

extension=php_mysqli.dll

extension=php_openssl.dll

extension=php_pdo_mysql.dll

This code is in php.ini and added that file into root folder of my application, but error not resolve. Please any kind of help is appreciated, thanks in advance.

marked as duplicate by Siarhey Uchukhlebau, Murtuza Zabuawala, Keyul Shah, Ashish Jagnani, 7ochem Mar 28 '17 at 8:53

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • Check permissions for newly created file "php.ini" – Ganesh Aher Mar 25 '17 at 12:43
  • if you have already un-comments those lines from php.ini and enable that extension then you need to restart php fpm again run this command - sudo service php7.0-fpm restart – Manthan Dave Mar 25 '17 at 13:09
  • @ManthanDave when i run this command it shows me the given error faild to restart php7.0-fpm.service: unit php7.0-fpm.service not found. – Santosh Bhagwat Mar 25 '17 at 13:14
  • @SantoshBhagwat run php -v command and check which version of php you have installed then run fpm command by passing that version for the same – Manthan Dave Mar 25 '17 at 13:17
  • 1
    you dont undertand the difference between LINUX stack and WINDOWS stack - what are you doing there??? linux php extension is .so not .dll – MagenX Mar 26 '17 at 8:34
1

Try following steps.

  1. Create info.php file in your Magento2 root directory and put following code in it.

    <?php
    phpinfo();
    ?>
    
  2. Now run this file in browser and find path for Loaded Configuraton File.
  3. Enable given three extensions in it by removing comment.
  4. Restart apache server and try again.

Not the answer you're looking for? Browse other questions tagged or ask your own question.